/*
 * IndexAccessor
 * インデックスを管理するシステムへの抽象インターフェース
 */
package org.logical_paradox.fts;

public interface IndexAccessor {
	public boolean isClosed();
	public void close() throws IndexAccessException;
	public void addKey( Key k, Object o ) throws IndexAccessException;
	public Object removeKey( Key k ) throws IndexAccessException;
	public Object getValue( Key k ) throws IndexAccessException;
}

// end of IndexAccessor.java
